d3.csv('https://gist.githubusercontent.com/vagdevi-369/77cff734d5c106806fe1b97daf4af6ad/raw/5f057c0ac6fc2e2cf092eca153b6d808b0111fb5/Bonus%2520ICE', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var trace1 = {
	x:unpack(rows, 'New'), y: unpack(rows, 'Used'), z: unpack(rows, 'Total Sales New'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rgba(217, 217, 217, 0.14)',
		width: 0.5},
		opacity: 0.8},
	type: 'scatter3d'
};

var trace2 = {
	x:unpack(rows, 'New'), y: unpack(rows, 'Total Sales New'), z: unpack(rows, 'Total Sales Used'),
	mode: 'markers',
	marker: {
		color: 'rgb(127, 127, 127)',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'rgb(204, 204, 204)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace1, trace2];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  }};
Plotly.newPlot('myDiv', data, layout);
});
